aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell/integration/build_event_stream_test.sh
diff options
context:
space:
mode:
authorGravatar Klaus Aehlig <aehlig@google.com>2018-03-26 01:47:34 -0700
committerGravatar Copybara-Service <copybara-piper@google.com>2018-03-26 01:48:43 -0700
commit02f9956fbcfd9dcd1fffb9e930ec1d0ec8b04b80 (patch)
treee7fbdab635ff9b904aa7c187500a13230791c42b /src/test/shell/integration/build_event_stream_test.sh
parentc2c7645922269ac4adc0720f129380c101842133 (diff)
BEP: also report the built artifacts in case of a test
If a test target is built and testing is requested, nevertheless report what was built. Change-Id: Ida25f5f73fd4b5e102f2f4923acc555088495a8a PiperOrigin-RevId: 190431506
Diffstat (limited to 'src/test/shell/integration/build_event_stream_test.sh')
-rwxr-xr-xsrc/test/shell/integration/build_event_stream_test.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/src/test/shell/integration/build_event_stream_test.sh b/src/test/shell/integration/build_event_stream_test.sh
index 8932b72c8b..12ce134ef1 100755
--- a/src/test/shell/integration/build_event_stream_test.sh
+++ b/src/test/shell/integration/build_event_stream_test.sh
@@ -485,6 +485,27 @@ function test_target_complete() {
expect_log 'tag2'
}
+function test_test_target_complete() {
+ bazel test --build_event_text_file="${TEST_log}" pkg:true \
+ || tail "expected success"
+ expect_log_once '^completed'
+
+ cp "${TEST_log}" complete_event
+ ed complete_event <<'EOF'
+1
+/^complete
+1,.-1d
+/^}
++1,$d
+w
+q
+EOF
+ grep -q 'output_group' complete_event \
+ || fail "expected reference to output in complete event"
+
+ expect_log 'name: *"pkg/true.sh"'
+}
+
function test_extra_action() {
# verify that normal successful actions are not reported, but extra actions
# are